Workflow Utilities Blend Video
ผสานการทำงาน
workflow-utilities/blend-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/blend-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/workflow-utilities/blend-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/workflow-utilities/blend-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/th/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "workflow-utilities/blend-video",
"input": {
"top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}
เรียกใช้โมเดล Workflow Utilities Blend Video (workflow-utilities/blend-video) ผ่าน Doitong API เอกสารสำหรับเอเจนต์: https://doitong.com/th/developers/models/workflow-utilities/blend-video.md
POST https://api.doitong.com/v1/run/workflow-utilities/blend-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
หากสถานะการตอบกลับเป็น "queued" หรือ "running" ให้ส่งคำขอแบบสำรวจ GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 จนกว่าจะเป็น "succeeded" ไฟล์อยู่ใน outputs[].url การส่ง POST https://api.doitong.com/v1/quote/workflow-utilities/blend-video ด้วยบอดี้เดียวกันจะแสดงราคาที่แน่นอนก่อนเรียกใช้
สูงสุด $3.60 ต่อการเรียกใช้ คิดค่าบริการตามการใช้งานจริง ส่วนที่เหลือจะคืนเงิน เรียกใช้ในหน้านี้
คีย์ API ใหม่ของคุณ คีย์นี้จะแสดงเฉพาะตอนนี้ และมีอยู่ในโค้ดและช่องคีย์ API ด้านล่างแล้ว เก็บเป็นความลับ: อย่าใส่คีย์นี้ไว้ในโค้ดที่ทำงานบนเบราว์เซอร์
ผลลัพธ์แรกของคุณจะแสดงที่นี่
สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน
สร้างคำขอ
ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า
/run/workflow-utilities/blend-video?wait=20
ใบเสนอราคา → $3.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/blend-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/workflow-utilities/blend-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/workflow-utilities/blend-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "workflow-utilities/blend-video",
"input": {
"top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
},
"wait_seconds": 20
}
}
}
เรียกใช้คำขอนี้
คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API
เกี่ยวกับ Workflow Utilities Blend Video
รวมวิดีโอด้านบนและด้านล่างเป็นวิดีโอเดียวโดยใช้โหมดการผสาน เช่น overlay, multiply, difference หรือรูปแบบ screen (รวม 23 โหมด ค่าเริ่มต้นคือ overlay) `opacity` กำหนดความเข้มของเลเยอร์บนตั้งแต่ 0 ถึง 1 เมื่อเปิดใช้ `shortest` เอาต์พุตจะสิ้นสุดเมื่ออินพุตที่สั้นกว่าสิ้นสุด
พารามิเตอร์
top_video_urlจำเป็น
bottom_video_urlจำเป็น
blend_modeไม่บังคับ
เพิ่มเติมอีก 7 ค่า
phoenixpinlightreflectscreensoftlightsubtractvividlightopacityไม่บังคับ
shortestไม่บังคับ
พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์
เอาต์พุต
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "workflow-utilities/blend-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 3600,
"usd": "3.60",
"charged": 3600,
"refunded": 0
},
"input": {
"top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ฟิลด์ของเอาต์พุต
- video
- object {url, content_type, file_name, file_size}วิดีโอที่สร้างจากการผสมอินพุต
รูปแบบอื่นของ Workflow Utilities
โมเดลเพิ่มเติม: วิดีโอเป็นวิดีโอ
สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/workflow-utilities/blend-video.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt